package com.supwisdom.dlpay.framework.domain;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name = "TB_SHOPACCBAL")
public class TShopaccbal {
  @Id
  @Column(name="SHOPACCNO", length = 10)
  private String shopaccno;

  @Column(name="ACCUMDRAMT", precision = 15, scale = 2)
  private Double accumdramt;

  @Column(name="ACCUMCRAMT", precision = 15, scale = 2)
  private Double accumcramt;

  @Column(name="BEGINBAL", precision = 15, scale = 2)
  private Double beginbal;

  @Column(name="DRAMT", precision = 15, scale = 2)
  private Double dramt;

  @Column(name="CRAMT", precision = 15, scale = 2)
  private Double cramt;

  @Column(name="BALANCE", precision = 15, scale = 2)
  private Double balance;

  @Column(name="UPDTIME", precision = 15, scale = 2)
  private String updtime;

  @Column(name="LASTSETTLEDAY", length = 8)
  private String lastsettleday;

  @Column(name="SETTLETOTALAMT", precision = 15, scale = 2)
  private Double settletotalamt;

  public TShopaccbal() {
  }

  public TShopaccbal(String shopaccno) {
    this.shopaccno = shopaccno;
    this.accumdramt = 0D;
    this.accumcramt = 0D;
    this.beginbal = 0D;
    this.dramt = 0D;
    this.cramt = 0D;
    this.balance = 0D;
  }

  public TShopaccbal(String shopaccno, Double accumdramt, Double accumcramt, Double beginbal, Double dramt, Double cramt, Double balance, String updtime, String lastsettleday, Double settletotalamt) {
    this.shopaccno = shopaccno;
    this.accumdramt = accumdramt;
    this.accumcramt = accumcramt;
    this.beginbal = beginbal;
    this.dramt = dramt;
    this.cramt = cramt;
    this.balance = balance;
    this.updtime = updtime;
    this.lastsettleday = lastsettleday;
    this.settletotalamt = settletotalamt;
  }

  public String getShopaccno() {
    return shopaccno;
  }

  public void setShopaccno(String shopaccno) {
    this.shopaccno = shopaccno;
  }

  public Double getAccumdramt() {
    return accumdramt;
  }

  public void setAccumdramt(Double accumdramt) {
    this.accumdramt = accumdramt;
  }

  public Double getAccumcramt() {
    return accumcramt;
  }

  public void setAccumcramt(Double accumcramt) {
    this.accumcramt = accumcramt;
  }

  public Double getBeginbal() {
    return beginbal;
  }

  public void setBeginbal(Double beginbal) {
    this.beginbal = beginbal;
  }

  public Double getDramt() {
    return dramt;
  }

  public void setDramt(Double dramt) {
    this.dramt = dramt;
  }

  public Double getCramt() {
    return cramt;
  }

  public void setCramt(Double cramt) {
    this.cramt = cramt;
  }

  public Double getBalance() {
    return balance;
  }

  public void setBalance(Double balance) {
    this.balance = balance;
  }

  public String getUpdtime() {
    return updtime;
  }

  public void setUpdtime(String updtime) {
    this.updtime = updtime;
  }

  public String getLastsettleday() {
    return lastsettleday;
  }

  public void setLastsettleday(String lastsettleday) {
    this.lastsettleday = lastsettleday;
  }

  public Double getSettletotalamt() {
    return settletotalamt;
  }

  public void setSettletotalamt(Double settletotalamt) {
    this.settletotalamt = settletotalamt;
  }
}
